local castbars = ...

function castbars._getAccountDefaults()
	local id =castbars.identifier
	local defaults = {		
		Version = castbars.toc.Version,
		castbar = {
			cx = 180,
			cy = 24,
			enabled = false,
			fontsizeRemaining = 14,
			fontsizeSpell = 14,
			margin = 2,
			x = 400,
			y = 400
		},
		castbars = {
			focus = {
				enabled = false,
				x = 1030,
				y = 260
			},
			["focus.target"] = {
				enabled = false,
				x = 1030,
				y = 260
			},
			mouseover = {
				enabled = false,
				x = 1030,
				y = 260
			},
			["mouseover.target"] = {
				enabled = false,
				x = 1030,
				y = 260
			},
			player = {
				cx = 280,
				cy = 30,
				enabled = true,
				x = 1030,
				y = 200
			},
			["player.pet"] = {
				enabled = true,
				x = 1030,
				y = 260
			},
			["player.pet.target"] = {
				enabled = false,
				x = 1030,
				y = 260
			},
			["player.target"] = {
				cx = 280,
				cy = 30,
				enabled = true,
				x = 1030,
				y = 140
			},
			["player.target.target"] = {
				enabled = false,
				x = 1030,
				y = 260
			}
		},
		colors = {
			bar = {
				0,
				0.502,
				0.502,
				1
			},
			bg = {
				0,
				0,
				0,
				0.4
			},
			border = {
				0,
				0,
				0,
				0.6
			},
			fgremaining = {
				1,
				1,
				1,
				1
			},
			fgspell = {
				1,
				1,
				1,
				1
			},
			nointerrupt = {
				0.8,
				0,
				0,
				1
			}
		}
	}
	return defaults
end